#property strict
#property indicator_chart_window
#property indicator_buffers 3
#property indicator_color1 clrYellow
#property indicator_color2 clrBlue
#property indicator_color3 clrRed

input int period = 200;


// Drawing Buffers
double dataBuffer[];
double dataBufferTwo[];
double dataBufferThree[];


//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int OnInit()
  {
//--- indicator buffers mapping
   IndicatorBuffers(3);
   SetIndexStyle(0,DRAW_LINE);
   SetIndexBuffer(0, dataBuffer);
   SetIndexStyle(1,DRAW_LINE);
   SetIndexBuffer(1, dataBufferTwo);
   SetIndexStyle(2,DRAW_LINE);
   SetIndexBuffer(2, dataBufferThree);
//---
   return(INIT_SUCCEEDED);
  }

//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int OnCalculate(const int rates_total,
                const int prev_calculated,
                const datetime &time[],
                const double &open[],
                const double &high[],
                const double &low[],
                const double &close[],
                const long &tick_volume[],
                const long &volume[],
                const int &spread[])
  {
   //--------------
   // Single Data Loop - Cyles Through Data using x time exit.
   // Gathers Average eRatio & Stores It
   //--------------
   int i = Bars-period;  
   int slopeOne = 0;

   while(i>=0)
    {
    dataBuffer[i] = iMA(NULL,0,period,0,MODE_SMA,PRICE_CLOSE,i);
    
    if(dataBuffer[i] > dataBuffer[i+1]) {slopeOne = 1;}
    if(dataBuffer[i] < dataBuffer[i+1]) {slopeOne = -1;}
    
    if(slopeOne == 1) {dataBufferTwo[i] = dataBuffer[i];}
    if(slopeOne == -1) {dataBufferThree[i] = dataBuffer[i];}
    
    i--;
    }

//--- return value of prev_calculated for next call
   return(rates_total);
  }
//+------------------------------------------------------------------+

